﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CustomComboEditorColumn
{
    public class AttributeViewModel : ViewModelBase
    {
        private AttributeModel m_Attribute;

        public string Name
        {
            get
            {
                return m_Attribute.Name;
            }
        }

        public ObservableCollection<ValueModel> Values
        {
            get
            {
                return m_Attribute.SuggestedValues;
            }
        }

        public ValueModel SelectedValue
        {
            get
            {
                return Values.FirstOrDefault(value => value.ValueDescription == m_Attribute.Value.ValueDescription);
            }
            set
            {
                if ((m_Attribute.Value != value) && (value != null))
                {
                    m_Attribute.Value = value;
                    OnNotifyPropertyChanged("SelectedValue");
                }
            }
        }

        //private ValueModel m_SelectedValue;


        public AttributeViewModel() { }

        public AttributeViewModel(AttributeModel attribute)
        {
            m_Attribute = attribute;
            //m_SelectedValue = Values.FirstOrDefault(value => value.ValueDescription == attribute.Value.ValueDescription);
        }
    }
}
